import 'package:flutter_local_notifications/flutter_local_notifications.dart';

class NoticeUtils {
  static FlutterLocalNotificationsPlugin notificationsPlugin;

  // 初始化
  static void init(Function(String payload) callback) {
    notificationsPlugin = FlutterLocalNotificationsPlugin();
    AndroidInitializationSettings android =
        AndroidInitializationSettings('@mipmap/ic_launcher');
    IOSInitializationSettings ios = IOSInitializationSettings();
    notificationsPlugin
        .initialize(InitializationSettings(android: android, iOS: ios),
            onSelectNotification: (String payload) async {
      callback(payload);
    });
  }


  // 清除通知
  static void cancel({int id}){
    if(id == null || id == 0){
      notificationsPlugin.cancelAll();
      return;
    }
    notificationsPlugin.cancel(id);
  }
}
